{ pkgs, config, modulesPath, ... }: {
  imports = [
    (modulesPath + "/virtualisation/proxmox-lxc.nix")
  ];

  system.stateVersion = "24.05";
  
  users.users.root.hashedPassword = "$y$j9T$kWYIRHrwP1uXV.l4vTJ67/$VGkvX09rzebYPWRI5vk0Z/IDo434bBaIqUutWp4l0L2"; # hmmmm
  users.users.root.openssh.authorizedKeys.keys = import ../users/noe-keys.nix;

  environment.systemPackages = with pkgs; [
    bashInteractive 
  ];
}
